/**
 * @template {{[key: string]: any}} Frontmatter
 * @param {import('./types').BundleMDX<Frontmatter>} options
 * @returns
 */
export function bundleMDX<Frontmatter extends {
    [key: string]: any;
}>({ file, source, files, mdxOptions, esbuildOptions, globals, cwd, grayMatterOptions, bundleDirectory, bundlePath, }: import("./types").BundleMDX<Frontmatter>): Promise<{
    code: string;
    frontmatter: Frontmatter;
    errors: esbuild.Message[];
    matter: Omit<grayMatter.GrayMatterFile<string>, "data"> & {
        data: Frontmatter;
    };
}>;
import * as esbuild from "esbuild";
import grayMatter from "gray-matter";
